# Constant Field Values

## Contents

- com.trilead.*

## com.trilead.*

com.trilead.ssh2.ChannelCondition
Modifier and Type
Constant Field
Value
`public static final int`
`CLOSED`
`2`
`public static final int`
`EOF`
`16`
`public static final int`
`EXIT_SIGNAL`
`64`
`public static final int`
`EXIT_STATUS`
`32`
`public static final int`
`STDERR_DATA`
`8`
`public static final int`
`STDOUT_DATA`
`4`
`public static final int`
`TIMEOUT`
`1`
com.trilead.ssh2.Connection
Modifier and Type
Constant Field
Value
`public static final String`
`identification`
`"TrileadSSH2Java_213"`
com.trilead.ssh2.KnownHosts
Modifier and Type
Constant Field
Value
`public static final int`
`HOSTKEY_HAS_CHANGED`
`2`
`public static final int`
`HOSTKEY_IS_NEW`
`1`
`public static final int`
`HOSTKEY_IS_OK`
`0`

com.trilead.ssh2.packets.Packets
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_DISCONNECT_AUTH_CANCELLED_BY_USER`
`13`
`public static final int`
`SSH_DISCONNECT_BY_APPLICATION`
`11`
`public static final int`
`SSH_DISCONNECT_COMPRESSION_ERROR`
`6`
`public static final int`
`SSH_DISCONNECT_CONNECTION_LOST`
`10`
`public static final int`
`SSH_DISCONNECT_HOST_KEY_NOT_VERIFIABLE`
`9`
`public static final int`
`SSH_DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT`
`1`
`public static final int`
`SSH_DISCONNECT_ILLEGAL_USER_NAME`
`15`
`public static final int`
`SSH_DISCONNECT_KEY_EXCHANGE_FAILED`
`3`
`public static final int`
`SSH_DISCONNECT_MAC_ERROR`
`5`
`public static final int`
`SSH_DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE`
`14`
`public static final int`
`SSH_DISCONNECT_PROTOCOL_ERROR`
`2`
`public static final int`
`SSH_DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED`
`8`
`public static final int`
`SSH_DISCONNECT_RESERVED`
`4`
`public static final int`
`SSH_DISCONNECT_SERVICE_NOT_AVAILABLE`
`7`
`public static final int`
`SSH_DISCONNECT_TOO_MANY_CONNECTIONS`
`12`
`public static final int`
`SSH_EXTENDED_DATA_STDERR`
`1`
`public static final int`
`SSH_MSG_CHANNEL_CLOSE`
`97`
`public static final int`
`SSH_MSG_CHANNEL_DATA`
`94`
`public static final int`
`SSH_MSG_CHANNEL_EOF`
`96`
`public static final int`
`SSH_MSG_CHANNEL_EXTENDED_DATA`
`95`
`public static final int`
`SSH_MSG_CHANNEL_FAILURE`
`100`
`public static final int`
`SSH_MSG_CHANNEL_OPEN`
`90`
`public static final int`
`SSH_MSG_CHANNEL_OPEN_CONFIRMATION`
`91`
`public static final int`
`SSH_MSG_CHANNEL_OPEN_FAILURE`
`92`
`public static final int`
`SSH_MSG_CHANNEL_REQUEST`
`98`
`public static final int`
`SSH_MSG_CHANNEL_SUCCESS`
`99`
`public static final int`
`SSH_MSG_CHANNEL_WINDOW_ADJUST`
`93`
`public static final int`
`SSH_MSG_DEBUG`
`4`
`public static final int`
`SSH_MSG_DISCONNECT`
`1`
`public static final int`
`SSH_MSG_GLOBAL_REQUEST`
`80`
`public static final int`
`SSH_MSG_IGNORE`
`2`
`public static final int`
`SSH_MSG_KEX_DH_GEX_GROUP`
`31`
`public static final int`
`SSH_MSG_KEX_DH_GEX_INIT`
`32`
`public static final int`
`SSH_MSG_KEX_DH_GEX_REPLY`
`33`
`public static final int`
`SSH_MSG_KEX_DH_GEX_REQUEST`
`34`
`public static final int`
`SSH_MSG_KEX_DH_GEX_REQUEST_OLD`
`30`
`public static final int`
`SSH_MSG_KEXDH_INIT`
`30`
`public static final int`
`SSH_MSG_KEXDH_REPLY`
`31`
`public static final int`
`SSH_MSG_KEXINIT`
`20`
`public static final int`
`SSH_MSG_NEWKEYS`
`21`
`public static final int`
`SSH_MSG_REQUEST_FAILURE`
`82`
`public static final int`
`SSH_MSG_REQUEST_SUCCESS`
`81`
`public static final int`
`SSH_MSG_SERVICE_ACCEPT`
`6`
`public static final int`
`SSH_MSG_SERVICE_REQUEST`
`5`
`public static final int`
`SSH_MSG_UNIMPLEMENTED`
`3`
`public static final int`
`SSH_MSG_USERAUTH_BANNER`
`53`
`public static final int`
`SSH_MSG_USERAUTH_FAILURE`
`51`
`public static final int`
`SSH_MSG_USERAUTH_INFO_REQUEST`
`60`
`public static final int`
`SSH_MSG_USERAUTH_INFO_RESPONSE`
`61`
`public static final int`
`SSH_MSG_USERAUTH_REQUEST`
`50`
`public static final int`
`SSH_MSG_USERAUTH_SUCCESS`
`52`
`public static final int`
`SSH_OPEN_ADMINISTRATIVELY_PROHIBITED`
`1`
`public static final int`
`SSH_OPEN_CONNECT_FAILED`
`2`
`public static final int`
`SSH_OPEN_RESOURCE_SHORTAGE`
`4`
`public static final int`
`SSH_OPEN_UNKNOWN_CHANNEL_TYPE`
`3`

com.trilead.ssh2.sftp.AttribBits
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_APPEND_ONLY`
`256`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_ARCHIVE`
`16`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_CASE_INSENSITIVE`
`8`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_COMPRESSED`
`64`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_ENCRYPTED`
`32`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_HIDDEN`
`4`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_IMMUTABLE`
`512`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_READONLY`
`1`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_SPARSE`
`128`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_SYNC`
`1024`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_SYSTEM`
`2`
`public static final int`
`SSH_FILEXFER_ATTR_FLAGS_TRANSLATION_ERR`
`2048`
com.trilead.ssh2.sftp.AttribFlags
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FILEXFER_ATTR_ACCESSTIME`
`8`
`public static final int`
`SSH_FILEXFER_ATTR_ACL`
`64`
`public static final int`
`SSH_FILEXFER_ATTR_ALLOCATION_SIZE`
`1024`
`public static final int`
`SSH_FILEXFER_ATTR_BITS`
`512`
`public static final int`
`SSH_FILEXFER_ATTR_CREATETIME`
`16`
`public static final int`
`SSH_FILEXFER_ATTR_CTIME`
`32768`
`public static final int`
`SSH_FILEXFER_ATTR_EXTENDED`
`-2147483648`
`public static final int`
`SSH_FILEXFER_ATTR_LINK_COUNT`
`8192`
`public static final int`
`SSH_FILEXFER_ATTR_MIME_TYPE`
`4096`
`public static final int`
`SSH_FILEXFER_ATTR_MODIFYTIME`
`32`
`public static final int`
`SSH_FILEXFER_ATTR_OWNERGROUP`
`128`
`public static final int`
`SSH_FILEXFER_ATTR_PERMISSIONS`
`4`
`public static final int`
`SSH_FILEXFER_ATTR_SIZE`
`1`
`public static final int`
`SSH_FILEXFER_ATTR_SUBSECOND_TIMES`
`256`
`public static final int`
`SSH_FILEXFER_ATTR_TEXT_HINT`
`2048`
`public static final int`
`SSH_FILEXFER_ATTR_UNTRANSLATED_NAME`
`16384`
`public static final int`
`SSH_FILEXFER_ATTR_V3_ACMODTIME`
`8`
`public static final int`
`SSH_FILEXFER_ATTR_V3_UIDGID`
`2`
com.trilead.ssh2.sftp.AttribPermissions
Modifier and Type
Constant Field
Value
`public static final int`
`S_IRGRP`
`32`
`public static final int`
`S_IROTH`
`4`
`public static final int`
`S_IRUSR`
`256`
`public static final int`
`S_ISGID`
`1024`
`public static final int`
`S_ISUID`
`2048`
`public static final int`
`S_ISVTX`
`512`
`public static final int`
`S_IWGRP`
`16`
`public static final int`
`S_IWOTH`
`2`
`public static final int`
`S_IWUSR`
`128`
`public static final int`
`S_IXGRP`
`8`
`public static final int`
`S_IXOTH`
`1`
`public static final int`
`S_IXUSR`
`64`
com.trilead.ssh2.sftp.AttribTypes
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FILEXFER_TYPE_BLOCK_DEVICE`
`8`
`public static final int`
`SSH_FILEXFER_TYPE_CHAR_DEVICE`
`7`
`public static final int`
`SSH_FILEXFER_TYPE_DIRECTORY`
`2`
`public static final int`
`SSH_FILEXFER_TYPE_FIFO`
`9`
`public static final int`
`SSH_FILEXFER_TYPE_REGULAR`
`1`
`public static final int`
`SSH_FILEXFER_TYPE_SOCKET`
`6`
`public static final int`
`SSH_FILEXFER_TYPE_SPECIAL`
`4`
`public static final int`
`SSH_FILEXFER_TYPE_SYMLINK`
`3`
`public static final int`
`SSH_FILEXFER_TYPE_UNKNOWN`
`5`
com.trilead.ssh2.sftp.AttrTextHints
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FILEXFER_ATTR_GUESSED_BINARY`
`3`
`public static final int`
`SSH_FILEXFER_ATTR_GUESSED_TEXT`
`1`
`public static final int`
`SSH_FILEXFER_ATTR_KNOWN_BINARY`
`2`
`public static final int`
`SSH_FILEXFER_ATTR_KNOWN_TEXT`
`0`
com.trilead.ssh2.sftp.ErrorCodes
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FX_BAD_MESSAGE`
`5`
`public static final int`
`SSH_FX_BYTE_RANGE_LOCK_CONFLICT`
`25`
`public static final int`
`SSH_FX_BYTE_RANGE_LOCK_REFUSED`
`26`
`public static final int`
`SSH_FX_CANNOT_DELETE`
`22`
`public static final int`
`SSH_FX_CONNECTION_LOST`
`7`
`public static final int`
`SSH_FX_DELETE_PENDING`
`27`
`public static final int`
`SSH_FX_DIR_NOT_EMPTY`
`18`
`public static final int`
`SSH_FX_EOF`
`1`
`public static final int`
`SSH_FX_FAILURE`
`4`
`public static final int`
`SSH_FX_FILE_ALREADY_EXISTS`
`11`
`public static final int`
`SSH_FX_FILE_CORRUPT`
`28`
`public static final int`
`SSH_FX_FILE_IS_A_DIRECTORY`
`24`
`public static final int`
`SSH_FX_GROUP_INVALID`
`30`
`public static final int`
`SSH_FX_INVALID_FILENAME`
`20`
`public static final int`
`SSH_FX_INVALID_HANDLE`
`9`
`public static final int`
`SSH_FX_INVALID_PARAMETER`
`23`
`public static final int`
`SSH_FX_LINK_LOOP`
`21`
`public static final int`
`SSH_FX_LOCK_CONFLICT`
`17`
`public static final int`
`SSH_FX_NO_CONNECTION`
`6`
`public static final int`
`SSH_FX_NO_MATCHING_BYTE_RANGE_LOCK`
`31`
`public static final int`
`SSH_FX_NO_MEDIA`
`13`
`public static final int`
`SSH_FX_NO_SPACE_ON_FILESYSTEM`
`14`
`public static final int`
`SSH_FX_NO_SUCH_FILE`
`2`
`public static final int`
`SSH_FX_NO_SUCH_PATH`
`10`
`public static final int`
`SSH_FX_NOT_A_DIRECTORY`
`19`
`public static final int`
`SSH_FX_OK`
`0`
`public static final int`
`SSH_FX_OP_UNSUPPORTED`
`8`
`public static final int`
`SSH_FX_OWNER_INVALID`
`29`
`public static final int`
`SSH_FX_PERMISSION_DENIED`
`3`
`public static final int`
`SSH_FX_QUOTA_EXCEEDED`
`15`
`public static final int`
`SSH_FX_UNKNOWN_PRINCIPAL`
`16`
`public static final int`
`SSH_FX_WRITE_PROTECT`
`12`
com.trilead.ssh2.sftp.OpenFlags
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FXF_ACCESS_APPEND_DATA`
`8`
`public static final int`
`SSH_FXF_ACCESS_APPEND_DATA_ATOMIC`
`16`
`public static final int`
`SSH_FXF_ACCESS_BLOCK_ADVISORY`
`512`
`public static final int`
`SSH_FXF_ACCESS_BLOCK_DELETE`
`256`
`public static final int`
`SSH_FXF_ACCESS_BLOCK_READ`
`64`
`public static final int`
`SSH_FXF_ACCESS_BLOCK_WRITE`
`128`
`public static final int`
`SSH_FXF_ACCESS_DELETE_ON_CLOSE`
`2048`
`public static final int`
`SSH_FXF_ACCESS_DISPOSITION`
`7`
`public static final int`
`SSH_FXF_ACCESS_NOFOLLOW`
`1024`
`public static final int`
`SSH_FXF_ACCESS_TEXT_MODE`
`32`
`public static final int`
`SSH_FXF_CREATE_NEW`
`0`
`public static final int`
`SSH_FXF_CREATE_TRUNCATE`
`1`
`public static final int`
`SSH_FXF_OPEN_EXISTING`
`2`
`public static final int`
`SSH_FXF_OPEN_OR_CREATE`
`3`
`public static final int`
`SSH_FXF_TRUNCATE_EXISTING`
`4`
com.trilead.ssh2.sftp.Packet
Modifier and Type
Constant Field
Value
`public static final int`
`SSH_FXP_ATTRS`
`105`
`public static final int`
`SSH_FXP_CLOSE`
`4`
`public static final int`
`SSH_FXP_DATA`
`103`
`public static final int`
`SSH_FXP_EXTENDED`
`200`
`public static final int`
`SSH_FXP_EXTENDED_REPLY`
`201`
`public static final int`
`SSH_FXP_FSETSTAT`
`10`
`public static final int`
`SSH_FXP_FSTAT`
`8`
`public static final int`
`SSH_FXP_HANDLE`
`102`
`public static final int`
`SSH_FXP_INIT`
`1`
`public static final int`
`SSH_FXP_LSTAT`
`7`
`public static final int`
`SSH_FXP_MKDIR`
`14`
`public static final int`
`SSH_FXP_NAME`
`104`
`public static final int`
`SSH_FXP_OPEN`
`3`
`public static final int`
`SSH_FXP_OPENDIR`
`11`
`public static final int`
`SSH_FXP_READ`
`5`
`public static final int`
`SSH_FXP_READDIR`
`12`
`public static final int`
`SSH_FXP_READLINK`
`19`
`public static final int`
`SSH_FXP_REALPATH`
`16`
`public static final int`
`SSH_FXP_REMOVE`
`13`
`public static final int`
`SSH_FXP_RENAME`
`18`
`public static final int`
`SSH_FXP_RMDIR`
`15`
`public static final int`
`SSH_FXP_SETSTAT`
`9`
`public static final int`
`SSH_FXP_STAT`
`17`
`public static final int`
`SSH_FXP_STATUS`
`101`
`public static final int`
`SSH_FXP_SYMLINK`
`20`
`public static final int`
`SSH_FXP_VERSION`
`2`
`public static final int`
`SSH_FXP_WRITE`
`6`